Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055173 - [abrt] nautilus: build_file_list_from_uris(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: build_file_list_from_uris(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8675b17e99bf42cbbee09881a43...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 11:51 UTC by Bob
Modified: 2015-06-29 14:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:35:01 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-19 11:51 UTC, Bob
no flags Details
File: cgroup (deleted)
2014-01-19 11:51 UTC, Bob
no flags Details
File: core_backtrace (deleted)
2014-01-19 11:51 UTC, Bob
no flags Details
File: dso_list (deleted)
2014-01-19 11:51 UTC, Bob
no flags Details
File: environ (deleted)
2014-01-19 11:51 UTC, Bob
no flags Details
File: exploitable (deleted)
2014-01-19 11:52 UTC, Bob
no flags Details
File: limits (deleted)
2014-01-19 11:52 UTC, Bob
no flags Details
File: maps (deleted)
2014-01-19 11:52 UTC, Bob
no flags Details
File: open_fds (deleted)
2014-01-19 11:52 UTC, Bob
no flags Details
File: proc_pid_status (deleted)
2014-01-19 11:52 UTC, Bob
no flags Details
File: var_log_messages (deleted)
2014-01-19 11:52 UTC, Bob
no flags Details

Description Bob 2014-01-19 11:51:25 UTC
Version-Release number of selected component:
nautilus-3.10.1-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: build_file_list_from_uris
executable:     /usr/bin/nautilus
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 build_file_list_from_uris at gtkplacessidebar.c:1742
 #1 drag_data_received_callback at gtkplacessidebar.c:1833
 #2 _gtk_marshal_VOID__OBJECT_INT_INT_BOXED_UINT_UINT at gtkmarshalers.c:5444
 #6 g_signal_emit_by_name at gsignal.c:3426
 #7 gtk_drag_selection_received at gtkdnd.c:1923
 #11 g_signal_emit_by_name at gsignal.c:3426
 #12 gtk_selection_retrieval_report at gtkselection.c:2983
 #13 _gtk_selection_notify at gtkselection.c:2762
 #14 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #15 _g_closure_invoke_va at gclosure.c:840

Comment 1 Bob 2014-01-19 11:51:33 UTC
Created attachment 852336 [details]
File: backtrace

Comment 2 Bob 2014-01-19 11:51:36 UTC
Created attachment 852337 [details]
File: cgroup

Comment 3 Bob 2014-01-19 11:51:40 UTC
Created attachment 852338 [details]
File: core_backtrace

Comment 4 Bob 2014-01-19 11:51:44 UTC
Created attachment 852339 [details]
File: dso_list

Comment 5 Bob 2014-01-19 11:51:47 UTC
Created attachment 852340 [details]
File: environ

Comment 6 Bob 2014-01-19 11:52:01 UTC
Created attachment 852341 [details]
File: exploitable

Comment 7 Bob 2014-01-19 11:52:04 UTC
Created attachment 852342 [details]
File: limits

Comment 8 Bob 2014-01-19 11:52:09 UTC
Created attachment 852343 [details]
File: maps

Comment 9 Bob 2014-01-19 11:52:13 UTC
Created attachment 852344 [details]
File: open_fds

Comment 10 Bob 2014-01-19 11:52:22 UTC
Created attachment 852345 [details]
File: proc_pid_status

Comment 11 Bob 2014-01-19 11:52:25 UTC
Created attachment 852346 [details]
File: var_log_messages

Comment 12 rainman3d2002 2014-06-25 10:38:10 UTC
Another user experienced a similar problem:

It's being used by DropBox in a KDE environment. I tried to drag a file from a Dolphin window to copy it to DropBox and that's when it crashed. After a reboot, it seems stable, but then after some time will pass, it just keeps crashing until the next reboot.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        nautilus --no-desktop /home/ydonskoy/Dropbox
crash_function: build_file_list_from_uris
executable:     /usr/bin/nautilus
kernel:         3.14.8-200.fc20.x86_64
package:        nautilus-3.10.1-4.fc20
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Christian Kirbach 2014-09-26 13:43:35 UTC
I can trigger this at will by drag-and-dropping a file attachment from evolution mailer into nautilus showing a local folder.

Comment 14 Christian Kirbach 2015-01-08 08:36:17 UTC
This still happens in Fedora 21

I can trigger this at will by drag-and-dropping a file attachment from evolution mailer into nautilus showing a local folder.

https://retrace.fedoraproject.org/faf/reports/240202/

Comment 15 Fedora End Of Life 2015-05-29 10:34:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 14:35:01 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.